Skip to main content
PATCH
/
v1
/
organizations
/
{organizationId}
/
keys
/
{keyId}
Update key
curl --request PATCH \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/keys/{keyId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "roles": [
    "admin"
  ],
  "expireAt": "2023-11-07T05:31:56Z",
  "state": "enabled",
  "ipAccessList": [
    {
      "source": "<string>",
      "description": "<string>"
    }
  ]
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "state": "enabled",
    "roles": [
      "admin"
    ],
    "keySuffix": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "expireAt": "2023-11-07T05:31:56Z",
    "usedAt": "2023-11-07T05:31:56Z",
    "ipAccessList": [
      {
        "source": "<string>",
        "description": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the key.

keyId
string<uuid>
required

ID of the key to update.

Body

application/json
name
string

Name of the key

roles
enum<string>[]

List of roles assigned to the key. Contains at least 1 element.

Available options:
admin,
developer,
query_endpoints
expireAt
string<date-time> | null

Timestamp the key expires. If null or is empty the key never expires. ISO-8601.

state
enum<string>

State of the key: 'enabled', 'disabled'.

Available options:
enabled,
disabled
ipAccessList
object[]

List of IP addresses allowed to access the API using this key

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object